# Olympia 2024 Events
> View updated Events with its Competitors and Rankings of all Disciplines 



## Getting Started

### Dependencies

- Qt6

### Installation

```sh
git clone git@gitlab.kit.edu:ugmgt/itat_challenge_2024.git
# or download release
cd itat_challenge_2024
cmake -B build
cmake --build build
```

## Code Structure

### UML Diagram

```plantuml
class Application {
    QGuiApplication app
    QmlComponent component
    SportModel model
    FilterModel<SportModel> filter
}

class SportModel {
   String discipline
   <EventInfo> model
   request(String discipline)
   parseData()
}

class FilterModel {}

class EventInfo {
   String eventName
   List<Competitor> competitors
}

class Competitor {
    String name
    String code
    String noc
}

Application *-- "1" SportModel
Application *-- "1" FilterModel

SportModel *-- "0..*" EventInfo
EventInfo *-- "0..*" Competitor
```

## Authors

- **Silas Stulz** - *Initial Work*
- **Gero Beckmann** - *Initial Work*

